<template>
  <div class="ps-collapse">
    <slot></slot>
  </div>
</template>

<script>
export default {
  name: "PsCollapse",
  props: {
    propId: {
      type: String,
      default: null,
    },
  },
  data() {
    return {};
  },
  created() {},
  mounted() {
    this.operaInit();
  },
  methods: {
    operaInit() {
      let childrenList = this.$children || [];
      childrenList.forEach((el,index) => {
        this.$children[index].operaGetChildIndex(index);
      });
      this.$children[0].operaItemisShow();
    },
    operaSetItemIsChecked(val){
      let childrenList = this.$children || [];
      childrenList.forEach((el,index) => {
        this.$children[index].operaSetChildF();
      });
        this.$children[val].operaSetChildT();

    }
  },
};
</script>

<style>
</style>
